Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Aviatrix Enterprise
Update a MITM CA bundle
cURL
curl -sk -X PUT "https://<controller>/v2.5/api/mitm/trusted-ca-bundle" \ -H "Authorization: cid <CID>"
import requests url = "https://<controller>/v2.5/api/mitm/trusted-ca-bundle" headers = {"Authorization": "cid <CID>"} response = requests.put(url, headers=headers) print(response.text)
package main import ( "fmt" "net/http" ) func main() { req, _ := http.NewRequest("PUT", "https://<controller>/v2.5/api/mitm/trusted-ca-bundle", nil) req.Header.Set("Authorization", "cid <CID>") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() fmt.Println(resp.Status) }
This response has no body data.
{ "message": "<string>" }
Controller ID in the format: cid .
"cid <CID>"
PUT operation response on success - trustbundle uploaded
Was this page helpful?